Uploaded image for project: 'Titanium SDK/CLI'
  1. Titanium SDK/CLI
  2. TIMOB-25010

nodejs build script: npm install failing on linux and windows

    Details

    • Story Points:
      1
    • Sprint:
      2017 Sprint 15 Tooling

      Description

      When trying to install the node packages with npm install on Linux and Windows. It will stop because it has a node-ios-device dependency.

      The error when installing node-ios-device is:

      npm ERR! Linux 4.5.7-200.fc23.x86_64
      npm ERR! argv "/usr/local/bin/node" "/usr/local/bin/npm" "install" "node-ios-device"
      npm ERR! node v4.2.2
      npm ERR! npm  v2.14.7
      npm ERR! code EBADPLATFORM
       
      npm ERR! notsup Unsupported
      npm ERR! notsup Not compatible with your operating system or architecture: node-ios-device@0.9.5
      npm ERR! notsup Valid OS:    darwin
      npm ERR! notsup Valid Arch:  any
      npm ERR! notsup Actual OS:   linux
      npm ERR! notsup Actual Arch: x64
      

      SDK 6.0.0 (git 26.06.2016)
      Fedora Linux

        Attachments

          Activity

            People

            • Assignee:
              cbarber Chris Barber
              Reporter:
              michael Michael Gangolf
              Reviewer:
              Chris Barber
            • Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Backbone Issue Sync

                • Titanium SDK/CLI <> Titanium Mobile
                  Synced with:
                  TIMOB-10922
                  Sync status:
                  ERROR
                  Last received:
                  Last sent:

                  Git Source Code